## coq-hierarchy-builder 1.2.0

=== debian/changelog ===
coq-hierarchy-builder (1.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1001038)

 -- Julien Puydt <jpuydt@debian.org>  Fri, 03 Dec 2021 08:57:26 +0100
