=== debian/control ===
Source: coq-hierarchy-builder
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), dh-ocaml, libcoq-elpi-ocaml-dev
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-hierarchy-builder
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-hierarchy-builder.git
Homepage: https://github.com/math-comp/hierarchy-builder

Package: libhierarchy-builder-coq
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: build hierarchies of algebraic structures in Coq (runtime files)
 This software provides high-level commands to build hierarchies of algebraic
 structures in the Coq system.
 .
 This package provides the runtime files.

Package: coq-hierarchy-builder
Architecture: any
Depends: libhierarchy-builder-coq (=${binary:Version}),
         ocaml-base-nox,
         ${misc:Depends},
         ${shlibs:Depends}
Description: build hierarchies of algebraic structures in Coq (tool)
 This software provides high-level commands to build hierarchies of algebraic
 structures in the Coq system.
 .
 This package provides the command-line tool.
