## coq-hierarchy-builder 1.2.1

=== debian/changelog ===
coq-hierarchy-builder (1.2.1-9build1) kinetic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Jun 2022 17:36:05 +0200

coq-hierarchy-builder (1.2.1-9) unstable; urgency=medium

  * Add patch to support coq-elpi 1.14.0.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 23 May 2022 16:18:40 +0200

coq-hierarchy-builder (1.2.1-8) unstable; urgency=medium

  * Re-upload to fix ABI breakage.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 22 May 2022 19:29:30 +0200

coq-hierarchy-builder (1.2.1-7) unstable; urgency=medium

  * Really fix the dependency on the Coq ABI?

 -- Julien Puydt <jpuydt@debian.org>  Thu, 12 May 2022 08:34:18 +0200

coq-hierarchy-builder (1.2.1-6) unstable; urgency=medium

  * Fix the dependency on the Coq ABI.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 11 May 2022 17:35:39 +0200

coq-hierarchy-builder (1.2.1-5) unstable; urgency=medium

  * Add depends on the Coq ABI to all binary packages.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 16 Apr 2022 10:43:05 +0200

coq-hierarchy-builder (1.2.1-4) unstable; urgency=medium

  * Rework b-deps (Closes: #1009449).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 13 Apr 2022 14:41:15 +0200

coq-hierarchy-builder (1.2.1-3) unstable; urgency=medium

  * Trigger rebuild to depend on newer coq.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 23 Mar 2022 22:38:38 +0100

coq-hierarchy-builder (1.2.1-2) unstable; urgency=medium

  * Rename the lib* package to follow more closely other packages'
  (and upstream's) naming scheme.
  * Adapt to the new coq library location.
  * Update dates in d/copyright.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 09 Feb 2022 09:38:46 +0100

coq-hierarchy-builder (1.2.1-1) unstable; urgency=medium

  * Add explicit b-dep on libelpi-ocaml-dev. (Closes: #1002930)
  * New upstream release.
  * Drop patches (obsolete).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 17 Jan 2022 15:42:42 +0100
