=== debian/control ===
--- 
+++ 
@@ -5,14 +5,19 @@
 Priority: optional
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), dh-ocaml, libcoq-elpi-ocaml-dev
+Build-Depends: coq,
+               debhelper-compat (= 13),
+               dh-ocaml,
+               libcoq-elpi,
+               libcoq-elpi-ocaml-dev,
+               wdiff
 Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-hierarchy-builder
 Vcs-Git: https://salsa.debian.org/ocaml-team/coq-hierarchy-builder.git
 Homepage: https://github.com/math-comp/hierarchy-builder
 
-Package: libhierarchy-builder-coq
+Package: libcoq-hierarchy-builder
 Architecture: any
-Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
+Depends: coq-${F:CoqABI}, ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: build hierarchies of algebraic structures in Coq (runtime files)
@@ -23,8 +28,9 @@
 
 Package: coq-hierarchy-builder
 Architecture: any
-Depends: libhierarchy-builder-coq (=${binary:Version}),
-         ocaml-base-nox,
+Depends: libcoq-hierarchy-builder (=${binary:Version}),
+         ocaml-nox,
+         coq-${F:CoqABI},
          ${misc:Depends},
          ${shlibs:Depends}
 Description: build hierarchies of algebraic structures in Coq (tool)
