=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/ocaml/ocamlvars.mk
include /usr/share/coq/coqvars.mk

%:
	dh $@ --with ocaml

override_dh_gencontrol:
	dh_gencontrol -- -VF:CoqABI="$(COQ_ABI)"

override_dh_installman:
	dh_installman --language='C'
