## coq-hierarchy-builder 1.3.0

=== debian/changelog ===
coq-hierarchy-builder (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Add patch so upstream test suite passes with a more recent elpi
    (Closes: #1016303).

 -- Julien Puydt <jpuydt@debian.org>  Sat, 30 Jul 2022 17:44:16 +0200

coq-hierarchy-builder (1.2.1-11) unstable; urgency=medium

  * Use dh-coq.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 12 Jun 2022 14:03:31 +0200

coq-hierarchy-builder (1.2.1-10) unstable; urgency=medium

  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 02 Jun 2022 07:02:15 +0200
