=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),
-               dh-ocaml,
+               dh-coq, dh-ocaml,
                libcoq-elpi,
                libcoq-elpi-ocaml-dev,
                wdiff
@@ -17,8 +17,8 @@
 
 Package: libcoq-hierarchy-builder
 Architecture: any
-Depends: coq-${F:CoqABI}, ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
-Provides: ${ocaml:Provides}
+Depends: ${coq:Depends}, ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
+Provides: ${coq:Provides}
 Recommends: ocaml-findlib
 Description: build hierarchies of algebraic structures in Coq (runtime files)
  This software provides high-level commands to build hierarchies of algebraic
@@ -30,7 +30,6 @@
 Architecture: any
 Depends: libcoq-hierarchy-builder (=${binary:Version}),
          ocaml-nox,
-         coq-${F:CoqABI},
          ${misc:Depends},
          ${shlibs:Depends}
 Description: build hierarchies of algebraic structures in Coq (tool)
