## coq-hierarchy-builder 1.4.0

=== debian/changelog ===
coq-hierarchy-builder (1.4.0-2) unstable; urgency=medium

  * Rebuild to cope with new elpi.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 26 Oct 2022 08:54:20 +0200

coq-hierarchy-builder (1.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 01 Oct 2022 22:10:53 +0200

coq-hierarchy-builder (1.3.0-2) unstable; urgency=medium

  * Update for Coq 8.16.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 05 Sep 2022 22:32:01 +0200
