=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                dh-coq, dh-ocaml,
                libcoq-elpi,
-               libcoq-elpi-ocaml-dev,
+               libelpi-ocaml-dev,
                wdiff
 Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-hierarchy-builder
 Vcs-Git: https://salsa.debian.org/ocaml-team/coq-hierarchy-builder.git
