## coq-hierarchy-builder 1.6.0

=== debian/changelog ===
coq-hierarchy-builder (1.6.0-1build5) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:17:26 +0200

coq-hierarchy-builder (1.6.0-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:54:07 +0000

coq-hierarchy-builder (1.6.0-1build3) noble; urgency=medium

  * No-change rebuild for new libcoq-elqi ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 15:59:05 +0000

coq-hierarchy-builder (1.6.0-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:26:08 +0100

coq-hierarchy-builder (1.6.0-1build1) noble; urgency=medium

  * Rebuild against latest coq-elpi

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 27 Jan 2024 14:28:47 -0500

coq-hierarchy-builder (1.6.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Julien Puydt ]
  * Fix d/rules clean target (Closes: #1044275).
  * New upstream release.
  * Drop all patches.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 16:58:58 +0100

coq-hierarchy-builder (1.4.0-6) unstable; urgency=medium

  * Add patch to work with recent elpi (Closes: #1042022).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 26 Jul 2023 09:12:38 +0200

coq-hierarchy-builder (1.4.0-5) unstable; urgency=medium

  * Fix abi issue.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 05 Jul 2023 10:07:24 +0200

coq-hierarchy-builder (1.4.0-4) unstable; urgency=medium

  * Fix patch metadata.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 04 Jul 2023 15:52:08 +0200

coq-hierarchy-builder (1.4.0-3) unstable; urgency=medium

  * Add patch to work with Coq 8.17.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 13 Jun 2023 07:06:07 +0200
