=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: coq-hierarchy-builder
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),
@@ -29,7 +30,7 @@
 Package: coq-hierarchy-builder
 Architecture: any
 Depends: libcoq-hierarchy-builder (=${binary:Version}),
-         ocaml-nox,
+         ocaml,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: build hierarchies of algebraic structures in Coq (tool)
