=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,11 @@
 
 override_dh_installman:
 	dh_installman --language='C'
+
+override_dh_auto_clean:
+	make clean
+	find . -name "*.cm*" -delete
+	find . -name "*.aux" -delete
+	rm -f Makefile.coq Makefile.coq.conf
+	rm -f Makefile.test-suite.coq Makefile.test-suite.coq.conf
+	rm -f *dot
