=== debian/control ===
Source: coq-hierarchy-builder
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq, dh-ocaml,
               libcoq-elpi,
               libelpi-ocaml-dev,
               wdiff
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-hierarchy-builder
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-hierarchy-builder.git
Homepage: https://github.com/math-comp/hierarchy-builder

Package: libcoq-hierarchy-builder
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${coq:Provides}
Recommends: ocaml-findlib
Description: build hierarchies of algebraic structures in Coq
 This software provides high-level commands to build hierarchies of algebraic
 structures in the Coq system.
