=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 override_dh_installman:
 	dh_installman --language='C'
 
+override_dh_auto_install:
+	dh_auto_install --destdir=debian/tmp/
+
 override_dh_auto_clean:
 	make clean
 	find . -name "*.cm*" -delete
