=== debian/watch ===
version=4
https://github.com/math-comp/hierarchy-builder/tags .*/v?([\d\.]+).tar.gz
