## coq-hierarchy-builder 1.10.1

=== Makefile ===
--- 
+++ 
@@ -13,8 +13,9 @@
 #                                                                    #
 # Additionally, the following variables may be customized:           #
 SUBDIRS?=
-COQBIN?=$(dir $(shell which coqtop))
-COQMAKEFILE?=$(COQBIN)coq_makefile
+COQBIN?=$(dir $(shell command -v coqtop || command -v rocq))
+COQTOP=$(shell command -v coqtop || echo "$(COQBIN)rocq repl")
+COQMAKEFILE?=$(shell command -v coq_makefile || echo "$(COQBIN)rocq makefile")
 COQDEP?=$(COQBIN)coqdep
 COQPROJECT?=_CoqProject
 COQMAKEOPTIONS?=
@@ -25,31 +26,26 @@
 ######################################################################
 
 # local context: -----------------------------------------------------
-.PHONY: all config build only test-suite clean distclean __always__
+.PHONY: all config build only test-suite test-suite-stdlib clean distclean __always__
 .SUFFIXES:
 
 H:= $(if $(VERBOSE),,@)  # not used yet
 TOP     = $(dir $(lastword $(MAKEFILE_LIST)))
 COQMAKE = $(MAKE) -f Makefile.coq $(COQMAKEOPTIONS)
 COQMAKE_TESTSUITE = $(MAKE) -f Makefile.test-suite.coq $(COQMAKEOPTIONS)
-BRANCH_coq:= $(shell $(COQBIN)coqtop -v | head -1 | grep -E '(trunk|master)' \
+COQMAKE_TESTSUITE_STDLIB = $(MAKE) -f Makefile.test-suite-stdlib.coq $(COQMAKEOPTIONS)
+BRANCH_coq:= $(shell $(COQTOP) -v | head -1 | grep -E '(trunk|master)' \
 	      | wc -l | sed 's/ *//g')
 
 # coq version:
 ifneq "$(BRANCH_coq)" "0"
 COQVVV:= dev
 else
-COQVVV:=$(shell $(COQBIN)coqtop --print-version | cut -d" " -f1)
+COQVVV:=$(shell $(COQTOP) --print-version | cut -d" " -f1)
 endif
 
 COQV:= $(shell echo $(COQVVV) | cut -d"." -f1)
 COQVV:= $(shell echo $(COQVVV) | cut -d"." -f1-2)
-
-ifneq "$(DESTDIR)" ""
-HB_INSTALLDIR := $(DESTDIR)/bin
-else
-HB_INSTALLDIR := $(dir $(shell which $(COQBIN)coqc))
-endif
 
 # export to sub- targets
 export COQBIN
@@ -74,6 +70,11 @@
 Makefile.test-suite.coq: $(COQPROJECT).test-suite Makefile
 	$(COQMAKEFILE) $(COQMAKEFILEOPTIONS) -f $(COQPROJECT).test-suite -o Makefile.test-suite.coq
 
+# Test suite Stdlib --------------------------------------------------
+
+Makefile.test-suite-stdlib.coq: $(COQPROJECT).test-suite-stdlib Makefile
+	$(COQMAKEFILE) $(COQMAKEFILEOPTIONS) -f $(COQPROJECT).test-suite-stdlib -o Makefile.test-suite-stdlib.coq
+
 # Global config, build, clean and distclean --------------------------
 config: sub-config this-config
 
@@ -83,14 +84,31 @@
 
 test-suite: sub-test-suite this-test-suite
 
+test-suite-stdlib: sub-test-suite-stdlib this-test-suite-stdlib
+
 clean: sub-clean this-clean
 
 distclean: sub-distclean this-distclean
 
 # Local config, build, clean and distclean ---------------------------
-.PHONY: this-config this-build this-only this-test-suite this-distclean this-clean
+.PHONY: this-config this-build this-only this-test-suite this-test-suite-stdlib this-distclean this-clean
 
 this-config:: __always__
+	@if $$(command -v coqc >/dev/null) ; then \
+	if [ -e config.stamp -a "`coqc --print-version`" = "`cat config.stamp 2>/dev/null`" ] ; then \
+		echo 'already configured';\
+	else\
+		coqc --print-version > config.stamp;\
+		echo 'configuring for ' `coqc --print-version`;\
+		if (coqc --version | grep -q '8.20') ; then \
+			echo '*****************************************************************';\
+			echo 'old coq version detected, double check the diff before committing';\
+			echo '*****************************************************************';\
+			sed -i.bak -e 's/From Corelib/From Coq/' `find . -name \*.v` ; \
+			sed -i.bak -e 's/IntDef/ZArith/' `find . -name \*.v` ; \
+		fi;\
+	fi ; fi
+	# Remove all of the above when requiring Rocq >= 9.0
 
 this-build:: this-config Makefile.coq
 	+$(COQMAKE)
@@ -101,20 +119,25 @@
 this-test-suite:: build Makefile.test-suite.coq
 	+$(COQMAKE_TESTSUITE)
 
+this-test-suite-stdlib:: build Makefile.test-suite-stdlib.coq
+	+$(COQMAKE_TESTSUITE_STDLIB)
+
 this-distclean:: this-clean
+	rm -f config.stamp
 	rm -f Makefile.coq Makefile.coq.conf
 	rm -f Makefile.test-suite.coq Makefile.test-suite.coq.conf
+	rm -f Makefile.test-suite-stdlib.coq Makefile.test-suite-stdlib.coq.conf
 
 this-clean:: __always__
 	@if [ -f Makefile.coq ]; then $(COQMAKE) cleanall; fi
 	@if [ -f Makefile.test-suite.coq ]; then $(COQMAKE_TESTSUITE) cleanall; fi
+	@if [ -f Makefile.test-suite-stdlib.coq ]; then $(COQMAKE_TESTSUITE_STDLIB) cleanall; fi
 
 # Install target -----------------------------------------------------
 .PHONY: install
 
 install: __always__ Makefile.coq
 	$(COQMAKE) install
-	install -d $(HB_INSTALLDIR)
 
 # counting lines of Coq code -----------------------------------------
 .PHONY: count
@@ -141,5 +164,10 @@
 structures.vo : %.vo: __always__ Makefile.coq
 	+$(COQMAKE) $@
 
-$(addsuffix o,$(wildcard examples/*.v examples/*/*.v tests/*.v tests/unit/*.v)): __always__ config build Makefile.test-suite.coq
+$(addsuffix o,$(wildcard examples/*.v examples/*/*.v tests/*.v tests/unit/*.v)): __always__ config build Makefile.test-suite.coq Makefile.test-suite-stdlib.coq
 	+$(COQMAKE_TESTSUITE) $@
+	+$(COQMAKE_TESTSUITE_stdlib) $@
+
+nix:
+	nix-shell --arg do-nothing true --run "updateNixToolBox && genNixActions"
+.PHONY: nix
