=== debian/changelog ===
coq-hierarchy-builder (1.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.2.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Oct 2025 09:51:23 +0100
